Nextcloud installation never worked - even after last update

Hey,

why ist Nextcloud an “optimized” Software? Nextcloud installation never worked und after the last update of dietpi it still missing many files on a clean dietpi:
"insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `php5-fpm’ overrides LSB defaults (0 1 6).
Setting up php5-intl (5.6.30+dfsg-0+deb8u1) …

Creating config file /etc/php5/mods-available/intl.ini with new version
php5_invoke: Enable module intl for cli SAPI
php5_invoke: Enable module intl for fpm SAPI
php5_invoke: Enable module intl for cgi SAPI
Processing triggers for php5-fpm (5.6.30+dfsg-0+deb8u1) …
insserv: warning: current start runlevel(s) (empty) of script php5-fpm' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script php5-fpm’ overrides LSB defaults (0 1 6).
insserv: warning: current start runlevel(s) (empty) of script php5-fpm' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script php5-fpm’ overrides LSB defaults (0 1 6).
WARNING: Module pdo_mysql ini file doesn’t exist under /etc/php5/mods-available
WARNING: Module pdo_mysql ini file doesn’t exist under /etc/php5/mods-available
WARNING: Module pdo_mysql ini file doesn’t exist under /etc/php5/mods-available
[Info] Creating MySql DB for nextcloud

[Ok] Create database nextcloud | Completed

Nextcloud is not installed - only a limited number of commands are available
No database drivers (sqlite, mysql, or postgresql) installed.


An unhandled exception has been thrown:
exception ‘Exception’ with message ‘Environment not properly prepared.’ in /var/www/nextcloud/lib/private/Console/Application.php:145
Stack trace:
#0 /var/www/nextcloud/console.php(99): OC\Console\Application->loadCommands(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#1 /var/www/nextcloud/occ(11): require_once(’/var/www/nextcl…’)
#2 {main}
"

On the Nextcloud Webinterface it says:

" No database drivers (sqlite, mysql, or postgresql) installed.
PHP modules have been installed, but they are still listed as missing?

Please ask your server administrator to restart the web server."

Hi,

Thanks for the report.

We’ll investigate:
https://github.com/Fourdee/DietPi/issues/1067#issuecomment-338393702

Which device are you running, and cat /etc/os-release if possible please.

NanoPi Neo

If I switch manually to Apache as webserver preference before install, its working. (Webinterface is very slow, but working)

Clean install with Lighttpd as webserver is now working.
Nextcloud says:
"Der PHP-OPcache ist nicht richtig konfiguriert. Für eine bessere Leistung empfiehlt es sich folgende Einstellungen in der php.ini vorzunehmen:

opcache.enable=1
opcache.enable_cli=1
opcache.interned_strings_buffer=8
opcache.max_accelerated_files=10000
opcache.memory_consumption=128
opcache.save_comments=1
opcache.revalidate_freq=1"

And why not PHP7? Nextcloud page says :“PHP 5.6+. PHP 5.6 is the minimum supported version. We recommend to deploy on PHP 7 if possible. This version is known to offer significan performance advantages.”

Sorry for my Questions.

Maybe this will work to install PHP 7

https://symfony.fi/entry/install-php-7-on-raspbian-raspberry-pi
or
https://www.stewright.me/2016/03/turn-raspberry-pi-3-php-7-powered-web-server/